Skip to main content
GET
/
v1
/
test-sessions
List test sessions
curl --request GET \
  --url https://api.checklyhq.com/v1/test-sessions \
  --header 'Authorization: Bearer <token>'
{
  "length": 1,
  "entries": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "accountId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "name": "<string>",
      "provider": "<string>",
      "cancelled": [],
      "region": "<string>",
      "startedAt": "2023-11-07T05:31:56Z",
      "created_at": "2023-11-07T05:31:56Z",
      "projectId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "running": [
        "3c90c3cc-0d44-4b50-8888-8dd25736052a"
      ],
      "passed": [
        "3c90c3cc-0d44-4b50-8888-8dd25736052a"
      ],
      "failed": [
        "3c90c3cc-0d44-4b50-8888-8dd25736052a"
      ],
      "privateLocationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "invoker": {
        "name": "<string>",
        "picture": "<string>"
      },
      "repoUrl": "<string>",
      "commitId": "<string>",
      "commitOwner": "<string>",
      "commitMessage": "<string>",
      "branchName": "<string>",
      "environment": "<string>",
      "stoppedAt": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z"
    }
  ],
  "nextId": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://checklyhq.com/docs/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

The Checkly Public API uses API keys to authenticate requests. You can get the API Key here. Your API key is like a password: keep it secure!

Authentication to the API is performed using the Bearer auth method in the Authorization header and using the account ID.

For example, set Authorization header while using cURL: curl -H "Authorization: Bearer [apiKey]" "X-Checkly-Account: [accountId]"

Headers

x-checkly-account
string<uuid>

Your Checkly account ID, you can find it at https://app.checklyhq.com/settings/account/general

Query Parameters

from
number

Only include test sessions created at or after this Unix timestamp.

to
number

Only include test sessions created before this Unix timestamp.

limit
integer
default:20

Maximum number of test sessions to return.

Required range: x <= 100
statuses
enum<string>[]

Filter by test session status.

Available options:
RUNNING,
FAILED,
PASSED,
CANCELLED
branches
string[]

Filter by Git branch name.

users
string[]

Filter by commit owner or invoking user ID.

providers
enum<string>[]

Filter by test session provider.

Available options:
GITHUB,
VERCEL,
API,
TRIGGER,
PW_REPORTER
noUsers
boolean
default:false

Include sessions with no commit owner and no invoking user.

nextId
string

Opaque cursor returned from a previous list response.

Minimum string length: 1

Search test session text fields.

Required string length: 3 - 200
errorGroupId
string | null

Filter by test-session error group ID.

Minimum string length: 1

Response

Successful

length
integer
required
Required range: x >= 0
entries
object[]
required
nextId
string | null